View Single Post
  #3  
Old 02 Dec 2021, 01:24
TheLastSuperman's Avatar
TheLastSuperman TheLastSuperman is offline
 
Join Date: Sep 2008
Real name: Michael Miller Jr
Originally Posted by Kaelon View Post
I absolutely confirm that it works up to PHP 7.4. However, be prepared for a lot of warnings like these:


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

Any thoughts on how to correct these? I've gone into the original code, and haven't seen the eval'd statements that are directly addressing unslashed variables. Wonder if anyone else has scrubbed old mods like these before?
99.9% of the time "eval()'d code" are errors related to a plugin being used. You could go through your plugins one-by-one disabling then checking for errors after refreshing, in-between disabling each to possibly track down the culprit. Although, considering vBAdvanced is a ginat plugin in itself, this could be related to code that still needs to be updated to work properly with your current version of PHP, I'd imagine it's how vBAdvanced parses some forum data or values by using it's own queries that hook into the site through the use of vBAdvanced.
__________________
Daddy Does Dios and Figs!

Search - Use the search feature to find similar issues/answers.
Information - Include screenshots, copy/pasted error codes, url etc.
Fixed - Please return to your thread/post and let us know how it was fixed!
Thanks - For participating! Click the "Like" on a post if someone helped you!
Reply With Quote